%global         commit          6d3261f9c8a2449bdffdf563eb541c8b6846af2d
%global         shortcommit      %(c=%{commit}; echo ${c:0:7})
%global         srcname         python-colormath
%global         shortname       colormath
%global         forgeurl        https://github.com/gtaylor/python-colormath
Version:        3.0.0^202312126d3261f

Name:           %{srcname}
Release:        1%{?dist}
Summary:        A python module that abstracts common color math operations

License:        BSD-3-Clause
URL:            %forgeurl
Source:         %{forgeurl}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz


BuildRequires:  python3-devel
BuildRequires:  python3-nose
BuildRequires:  python3-tox
BuildRequires:  python3-tox-current-env
BuildArch: noarch

%global _description %{expand:
This module implements a large number of different color operations
such as color space conversions, Delta E, and density to spectral.
}

%description %_description

%package -n python3-%{shortname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{shortname}}

%description -n python3-%{shortname} %_description


%prep
%autosetup -n %{srcname}-%{commit}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{shortname}

%check
%pyproject_check_import
%tox

%files -n python3-%{shortname} -f %{pyproject_files}
 
%changelog
* Sat Oct 19 2024 Benson Muite <benson_muite@emailplus.org> - 3.0.0^202412126d3261f-1
- Initial package

